<div>
    <div id="subheader">
        <div class="nav-right">
            <dx-tabs #navbarTabs [height]="ds.tabsHeight" [width]="ds.tabsWidth" (onInitialized)="onInitTabs($event)"
                [dataSource]="subnavTabs" [scrollingEnabled]="true" [scrollByContent]="true" [showNavButtons]="true"
                [selectedIndex]="0" (onItemClick)="reloadData($event)"></dx-tabs>
        </div>
    </div>
    <br />
    <div [hidden]="current != 'ds'">
        <dx-data-grid class="gridContainer" #gridReportDS [dataSource]='dsReportDS' [columnAutoWidth]='true'
            [allowColumnResizing]='true' [allowColumnReordering]='true' [showRowLines]='ds.showRowLines'
            (onToolbarPreparing)='toolbarPreparing($event, "ds")' (onContentReady)="onContentReady($event)"
            (onRowPrepared)="onDelSchRowPrepared($event)">

            <dxo-export [enabled]='true' [fileName]='"DeliverySchedule_" + currentDate'></dxo-export>
            <dxo-filter-row [visible]='true'> </dxo-filter-row>
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-column-chooser [enabled]='true'></dxo-column-chooser>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-state-storing [enabled]='true' storageKey='gridDS' type="custom" [customLoad]="ds.gridLoadState"
                [customSave]="ds.gridSaveState"></dxo-state-storing>

            <dxi-column caption='Transportator' dataField='tr_name' dataType='string'></dxi-column>
            <dxi-column caption='Auto' dataField='car_registrationNo' dataType='string'></dxi-column>
            <dxi-column caption='Tractor' dataField='tank_registrationNo' dataType='string'></dxi-column>
            <dxi-column caption='Depot' dataField='d_name' dataType='string'></dxi-column>
            <dxi-column caption='Driver Name' dataField='driver' dataType='string'></dxi-column>
            <dxi-column caption='Driver ID' dataField='dr_idCard' dataType='string' [visible]='!ds.isSales()'>
            </dxi-column>
            <dxi-column caption='Driver Phone' dataField='dr_phone' dataType='string'></dxi-column>
            <dxi-column caption='Date' dataField='t_plannedDate' dataType='date'></dxi-column>
            <dxi-column caption='Range [km]' dataField='r_value' dataType='number' [visible]='!ds.isSales()'>
            </dxi-column>
            <dxi-column caption='Timp [h:m]' dataField='time' dataType='string'></dxi-column>
            <dxi-column caption='Cursa' dataType='string' [calculateDisplayValue]='calcTripOrder'></dxi-column>
            <dxi-column caption='Info' [width]="100" dataField='ol_comments' dataType='string'></dxi-column>
            <dxi-column caption='Cost [EUR]' dataField='cost' dataType='number' [visible]='!ds.isSales()'></dxi-column>
            <dxi-column caption='ETA' dataField='t_estimatedDate' dateType='date'
                [calculateDisplayValue]='ds.getDateTime'></dxi-column>
            <dxi-column caption='ORDER' dataField='ol_orderIndex' dataType='number'></dxi-column>
            <dxi-column caption='TRIPID' dataField='t_refNumber' dataType='number'></dxi-column>
            <dxi-column caption='SAP ORDER NO' dataField='ol_refNumber' dataType='string'></dxi-column>
            <dxi-column caption='PLECARE' dataField='previousClient' dataType='string'></dxi-column>
            <dxi-column caption='INCARCARE' dataField='d_name' dataType='string'></dxi-column>
            <dxi-column caption='ZONA' dataField='d_code' dataType='string'></dxi-column>
            <dxi-column caption='DESTINATIE' dataField='c_name' dataType='string'></dxi-column>
            <dxi-column caption='ADRESA' dataField='c_address' dataType='string'></dxi-column>
            <dxi-column caption='SOSIRE' dataField='d_name' dataType='string'></dxi-column>
            <dxi-column caption='GAS1'>
                <dxi-column caption='Product' dataType='string' dataField='gas1'></dxi-column>
                <dxi-column caption='Quantity' dataField='gas1Quantity' dataType='number'></dxi-column>
            </dxi-column>
            <dxi-column caption='GAS2'>
                <dxi-column caption='Product' dataType='string' dataField='gas2'></dxi-column>
                <dxi-column caption='Quantity' dataField='gas2Quantity' dataType='number'></dxi-column>
            </dxi-column>
            <dxi-column caption='GAS3'>
                <dxi-column caption='Product' dataType='string' dataField='gas3'></dxi-column>
                <dxi-column caption='Quantity' dataField='gas3Quantity' dataType='number'></dxi-column>
            </dxi-column>
            <dxi-column caption='GAS4'>
                <dxi-column caption='Product' dataType='string' dataField='gas4'></dxi-column>
                <dxi-column caption='Quantity' dataField='gas4Quantity' dataType='number'></dxi-column>
            </dxi-column>

            <div *dxTemplate="let data of 'plannedDate'">
                <label>Planned date: </label>
            </div>
            <div *dxTemplate="let data of 'depotTemp'">
                <label>Depot: </label>
            </div>
            <div *dxTemplate="let data of 'transportTemp'">
                <label>Transporter: </label>
            </div>

            <div *dxTemplate="let data of 'dropDownDepot'">
                <dx-drop-down-box placeholder="Select a value..." [showClearButton]="true" [dataSource]="dsDepot"
                    [(value)]="tempDDBox" (onValueChanged)="onDDBoxValChanged($event, 'depotId')">
                    <div *dxTemplate="let data of 'content'">
                        <dx-list [dataSource]="dsDepot" dataStructure="plain" selectionMode="multiple"
                            showCheckBoxesMode="normal" (onInitialized)="onInitDxList($event, 'depotId')"
                            (onSelectionChanged)="onListDDB($event, 'depotId')"></dx-list>
                    </div>
                </dx-drop-down-box>
            </div>
            <div *dxTemplate="let data of 'dropDownTrans'">
                <dx-drop-down-box placeholder="Select a value..." [showClearButton]="true" [dataSource]="dsTransporter"
                    [(value)]="tempTTBox" (onValueChanged)="onDDBoxValChanged($event, 'transporterId')">
                    <div *dxTemplate="let data of 'content'">
                        <dx-list [dataSource]="dsTransporter" dataStructure="plain" selectionMode="multiple"
                            showCheckBoxesMode="normal" (onInitialized)="onInitDxList($event, 'transporterId')"
                            (onSelectionChanged)="onListDDB($event, 'transporterId')"></dx-list>
                    </div>
                </dx-drop-down-box>
            </div>
        </dx-data-grid>
    </div>

    <div [hidden]="current != 'ls'">
        <dx-data-grid class="gridContainer" #gridReportLS [dataSource]='dsReportLS' [columnAutoWidth]='true'
            [allowColumnResizing]='true' [allowColumnReordering]='true'
            [rowAlternationEnabled]='ds.rowAlternationEnabled' [showRowLines]='ds.showRowLines'
            (onToolbarPreparing)='toolbarPreparing($event, "ls")' (onContentReady)="onContentReady($event)">

            <dxo-export [enabled]='true' [fileName]='"LoadingSchedule_" + currentDate'></dxo-export>
            <dxo-filter-row [visible]='true'> </dxo-filter-row>
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-column-chooser [enabled]='true'></dxo-column-chooser>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-state-storing [enabled]='true' storageKey='gridLS' type="custom" [customLoad]="ds.gridLoadState"
                [customSave]="ds.gridSaveState"></dxo-state-storing>

            <dxi-column caption='Depot' dataField='d_name' dataType='string'></dxi-column>
            <dxi-column caption='Transporter' dataField='tr_name' dataType='string'></dxi-column>
            <dxi-column caption='Trip SO No.' dataField='t_refNumber' dataType='number'></dxi-column>
            <dxi-column caption='Trip Index' dataField='t_orderIndex' dataType='number'></dxi-column>
            <dxi-column caption='Truck' dataField='c_registrationNo' dataType='string'></dxi-column>
            <dxi-column caption='Trailer' dataField='tk_registrationNo' dataType='string'></dxi-column>
            <dxi-column caption='Planned Date' dataField='t_plannedDate' dataType='date'
                calculateSortValue='t_plannedDate' [calculateDisplayValue]='ds.getDateTime'></dxi-column>
            <dxi-column caption='Start Date' dataField='t_startDate' dataType='date' calculateSortValue='t_startDate'
                [calculateDisplayValue]='ds.getDateTime'></dxi-column>

            <div *dxTemplate="let data of 'fromDate'">
                <label>From date: </label>
            </div>
            <div *dxTemplate="let data of 'thruDate'">
                <label>Thru date: </label>
            </div>
            <div *dxTemplate="let data of 'depotTemp'">
                <label>Depot: </label>
            </div>
            <div *dxTemplate="let data of 'transportTemp'">
                <label>Transporter: </label>
            </div>
            <div *dxTemplate="let data of 'dropDownDepot'">
                <dx-drop-down-box placeholder="Select a value..." [showClearButton]="true" [dataSource]="dsDepot"
                    [(value)]="tempDDBox" (onValueChanged)="onDDBoxValChanged($event, 'depotId')">
                    <div *dxTemplate="let data of 'content'">
                        <dx-list [dataSource]="dsDepot" dataStructure="plain" selectionMode="multiple"
                            showCheckBoxesMode="normal" (onInitialized)="onInitDxList($event, 'depotId')"
                            (onSelectionChanged)="onListDDB($event, 'depotId')"></dx-list>
                    </div>
                </dx-drop-down-box>
            </div>
            <div *dxTemplate="let data of 'dropDownTrans'">
                <dx-drop-down-box placeholder="Select a value..." [showClearButton]="true" [dataSource]="dsTransporter"
                    [(value)]="tempTTBox" (onValueChanged)="onDDBoxValChanged($event, 'transporterId')">
                    <div *dxTemplate="let data of 'content'">
                        <dx-list [dataSource]="dsTransporter" dataStructure="plain" selectionMode="multiple"
                            showCheckBoxesMode="normal" (onInitialized)="onInitDxList($event, 'transporterId')"
                            (onSelectionChanged)="onListDDB($event, 'transporterId')"></dx-list>
                    </div>
                </dx-drop-down-box>
            </div>
        </dx-data-grid>
    </div>

    <div [hidden]="current != 'dr'">
        <dx-data-grid class="gridContainer" #gridReportDR [dataSource]='dsReportDR' [columnAutoWidth]='true'
            [allowColumnResizing]='true' [allowColumnReordering]='true'
            [rowAlternationEnabled]='ds.rowAlternationEnabled' [showRowLines]='ds.showRowLines'
            (onToolbarPreparing)='toolbarPreparing($event,"dr")' (onContentReady)="onContentReady($event)">

            <dxo-export [enabled]='true' [fileName]='"Deliveries_" + currentDate'></dxo-export>
            <dxo-filter-row [visible]='true'> </dxo-filter-row>
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-column-chooser [enabled]='true'></dxo-column-chooser>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-state-storing [enabled]='true' storageKey='gridDR' type="custom" [customLoad]="ds.gridLoadState"
                [customSave]="ds.gridSaveState"></dxo-state-storing>
            <dxo-remote-operations [filtering]="true" [sorting]="true" [paging]="true"></dxo-remote-operations>

            <dxi-column caption='Depot' dataField='depot' dataType='string'></dxi-column>
            <dxi-column caption='Rompetrol stations' dataType='string'>
                <dxi-column caption='Diesel (TO)' dataField='stmMot' dataType='number'></dxi-column>
                <dxi-column caption='Gasoline (TO)' dataField='stgGas' dataType='number'></dxi-column>
            </dxi-column>
            <dxi-column caption='Clients with RPL transport' dataType='string'>
                <dxi-column caption='Diesel (TO)' dataField='clmMot' dataType='number'></dxi-column>
                <dxi-column caption='Gasoline (TO)' dataField='clgGas' dataType='number'></dxi-column>
            </dxi-column>
            <dxi-column caption='TOTAL' dataType='string'>
                <dxi-column caption='Diesel (TO)' dataField='tomMot' dataType='number'></dxi-column>
                <dxi-column caption='Gasoline (TO)' dataField='tomGas' dataType='number'></dxi-column>
            </dxi-column>
            <div *dxTemplate="let data of 'ETADate'">
                <label>Delivery date: </label>
            </div>
        </dx-data-grid>
    </div>

    <div [hidden]="current != 'ss'">
        <dx-data-grid class="gridContainer" #gridReportSS [dataSource]='dsReportSS' [columnAutoWidth]='true'
            [allowColumnResizing]='true' [allowColumnReordering]='true'
            [rowAlternationEnabled]='ds.rowAlternationEnabled' [showRowLines]='ds.showRowLines'
            (onToolbarPreparing)='toolbarPreparing($event, "ss")' (onContentReady)="onContentReady($event)">

            <dxo-export [enabled]='true' [fileName]='"Stock_" + currentDate'></dxo-export>
            <dxo-filter-row [visible]='true'> </dxo-filter-row>
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-column-chooser [enabled]='true'></dxo-column-chooser>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-state-storing [enabled]='true' storageKey='gridSS' type="custom" [customLoad]="ds.gridLoadState"
                [customSave]="ds.gridSaveState"></dxo-state-storing>
            <dxo-remote-operations [filtering]="true" [sorting]="true" [paging]="true"></dxo-remote-operations>

            <dxi-column caption='Transport company' dataField='tr_name' dataType='string'></dxi-column>
            <dxi-column caption='Orpak code' dataField='s_code' dataType='string'></dxi-column>
            <dxi-column caption='Ship to party' dataField='ca_code' dataType='string'></dxi-column>
            <dxi-column caption='Name' dataField='s_name' dataType='string'></dxi-column>
            <dxi-column caption='Product name' dataField='p_name' dataType='string'></dxi-column>
            <dxi-column caption='Tank volume (liters)' dataField='st_capacity' dataType='number'></dxi-column>
            <dxi-column caption='Unusable stock (liters)' dataField='st_unusable' dataType='number'></dxi-column>
            <dxi-column caption='Orpak EOD Stock' dataField='st_quantity' dataType='number'></dxi-column>
            <dxi-column caption='Orpak previous day sales' dataField='st_variation' dataType='number'></dxi-column>
            <dxi-column caption='Average sales' dataField='stock_daily' dataType='number'></dxi-column>
            <dxi-column caption='Stock Days' dataField='stockDays' dataType='number'></dxi-column>
            <dxi-column caption='To be delivered' dataField='delivery' dataType='number'></dxi-column>
            <dxi-column caption='Reclaculated stock days' dataField='recStockDays' dataType='number'></dxi-column>
            <div *dxTemplate="let data of 'transportTemp'">
                <label>Transporter: </label>
            </div>
            <div *dxTemplate="let data of 'stockDate'">
                <label>Stock date: </label>
            </div>
            <div *dxTemplate="let data of 'dropDownTrans'">
                <dx-drop-down-box placeholder="Select a value..." [showClearButton]="true" [dataSource]="dsTransporter"
                    [(value)]="tempTTBox" (onValueChanged)="onDDBoxValChanged($event, 'transporterId')">
                    <div *dxTemplate="let data of 'content'">
                        <dx-list [dataSource]="dsTransporter" dataStructure="plain" selectionMode="multiple"
                            showCheckBoxesMode="normal" (onInitialized)="onInitDxList($event, 'transporterId')"
                            (onSelectionChanged)="onListDDB($event, 'transporterId')"></dx-list>
                    </div>
                </dx-drop-down-box>
            </div>
        </dx-data-grid>
    </div>

    <div [hidden]="current != 'ro'">
        <dx-data-grid class="gridContainer" #gridReportRO [dataSource]='dsReportRO' [columnAutoWidth]='true'
            [allowColumnResizing]='true' [allowColumnReordering]='true'
            [rowAlternationEnabled]='ds.rowAlternationEnabled' [showRowLines]='ds.showRowLines'
            (onToolbarPreparing)='toolbarPreparing($event, "ro")' (onContentReady)="onContentReady($event)">

            <dxo-export [enabled]='true' [fileName]='"Rescheduled_orders"'></dxo-export>
            <dxo-filter-row [visible]='true'> </dxo-filter-row>
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-column-chooser [enabled]='true'></dxo-column-chooser>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-state-storing [enabled]='true' storageKey='gridReportRO' type="custom" [customLoad]="ds.gridLoadState"
                [customSave]="ds.gridSaveState"></dxo-state-storing>
            <dxo-remote-operations [filtering]="true" [sorting]="true" [paging]="true"></dxo-remote-operations>

            <dxi-column caption='Transport company' dataField='tr_name' dataType='string'></dxi-column>
            <dxi-column caption='Depot' dataField='d_name' dataType='string'></dxi-column>
            <dxi-column caption='Sales order' dataField='ol_refNumber' dataType='string'></dxi-column>
            <dxi-column caption='RDD' dataField='ol_requestDate' calculateSortValue='ol_requestDate' dataType='date'
                [calculateDisplayValue]='ds.getDate'></dxi-column>
            <dxi-column caption='Delivery date' dataField='ol_deliveryDate' calculateSortValue='ol_deliveryDate'
                dataType='date' [calculateDisplayValue]='ds.getDate'></dxi-column>
            <dxi-column caption='Customer type' dataField='ol_customerCategory' dataType='string'></dxi-column>
            <dxi-column caption='Sold to party' dataField='c_name' dataType='string'></dxi-column>
            <dxi-column caption='Sold to party (COD)' dataField='c_code' dataType='string'></dxi-column>
            <dxi-column caption='Ship to party' dataType='string' [calculateDisplayValue]='shipToParty'></dxi-column>
            <dxi-column caption='Ship to party (COD)' dataField='ca_code' dataType='string'></dxi-column>
            <dxi-column caption='County' dataField='ca_region' dataType='string'></dxi-column>
            <dxi-column caption='Reschedule reason' dataField='ols_comments' dataType='string'></dxi-column>
            <dxi-column caption='No. of reschedule' dataField='noResch' dataType='number'></dxi-column>
            <dxi-column caption='Lead time' dataField='noDays' dataType='number'></dxi-column>
            <dxi-column caption='Quantity' dataField='ol_quantity' dataType='number'></dxi-column>
            <dxi-column caption='Logistic receipt' dataField='receiptDate' dataType='datetime'
                calculateSortValue='receiptDate' [calculateDisplayValue]='ds.getDateTime'></dxi-column>
            <div *dxTemplate="let data of 'fromDate'">
                <label>From date: </label>
            </div>
            <div *dxTemplate="let data of 'thruDate'">
                <label>Thru date: </label>
            </div>
        </dx-data-grid>
    </div>

    <div [hidden]="current != 'tu'">
        <dx-data-grid class="gridContainer" #gridReportTU [dataSource]='dsReportTU' [columnAutoWidth]='true'
            [allowColumnResizing]='true' [allowColumnReordering]='true'
            [rowAlternationEnabled]='ds.rowAlternationEnabled' [showRowLines]='ds.showRowLines'
            (onToolbarPreparing)='toolbarPreparing($event, "tu")' (onContentReady)="onContentReady($event)">

            <dxo-export [enabled]='true' [fileName]='"Drop_size_tank_utilization_rate"'></dxo-export>
            <dxo-filter-row [visible]='true'> </dxo-filter-row>
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-state-storing [enabled]='true' [storageKey]="'gridTankUtiWST' + current" type="custom"
                [customLoad]="ds.gridLoadState" [customSave]="ds.gridSaveState"></dxo-state-storing>
            <dxo-remote-operations [filtering]="true" [sorting]="true" [paging]="true"></dxo-remote-operations>

            <dxi-column caption='Date' dataField='t_estimatedDate' calculateSortValue='t_estimatedDate' dataType='date'
                [calculateDisplayValue]='ds.getDateTime'></dxi-column>
            <dxi-column caption='Transport company' dataField='tr_name' dataType='string'></dxi-column>
            <dxi-column caption='Depot' dataField='d_name' dataType='string'></dxi-column>
            <dxi-column caption='Trip Id' dataField='t_refNumber' dataType='number'></dxi-column>
            <dxi-column caption='Trailer' dataField='tank_registrationNo' dataType='string'></dxi-column>
            <dxi-column caption='Trailer volume' dataField='tank_capacity' dataType='number'></dxi-column>
            <dxi-column caption='Trailer loaded volume' dataField='tankLoaded' dataType='number'></dxi-column>
            <dxi-column caption='No. of deliveries/trip' dataField='deliveriesNo' dataType='number'></dxi-column>
            <dxi-column caption='Drop size' dataField='dropSize' dataType='number'></dxi-column>
            <dxi-column caption='Trailer utilization ratio (%)' dataField='tankUtilizationRate' dataType='number'>
            </dxi-column>
            <div *dxTemplate="let data of 'transportTemp'">
                <label>Transporter: </label>
            </div>
            <div *dxTemplate="let data of 'depotTemp'">
                <label>Depot: </label>
            </div>
            <div *dxTemplate="let data of 'fromDate'">
                <label>From date: </label>
            </div>
            <div *dxTemplate="let data of 'thruDate'">
                <label>Thru date: </label>
            </div>
            <div *dxTemplate="let data of 'dropDownDepot'">
                <dx-drop-down-box placeholder="Select a value..." [showClearButton]="true" [dataSource]="dsDepot"
                    [(value)]="tempDDBox" (onValueChanged)="onDDBoxValChanged($event, 'depotId')">
                    <div *dxTemplate="let data of 'content'">
                        <dx-list [dataSource]="dsDepot" dataStructure="plain" selectionMode="multiple"
                            showCheckBoxesMode="normal" (onInitialized)="onInitDxList($event, 'depotId')"
                            (onSelectionChanged)="onListDDB($event, 'depotId')"></dx-list>
                    </div>
                </dx-drop-down-box>
            </div>
            <div *dxTemplate="let data of 'dropDownTrans'">
                <dx-drop-down-box placeholder="Select a value..." [showClearButton]="true" [dataSource]="dsTransporter"
                    [(value)]="tempTTBox" (onValueChanged)="onDDBoxValChanged($event, 'transporterId')">
                    <div *dxTemplate="let data of 'content'">
                        <dx-list [dataSource]="dsTransporter" dataStructure="plain" selectionMode="multiple"
                            showCheckBoxesMode="normal" (onInitialized)="onInitDxList($event, 'transporterId')"
                            (onSelectionChanged)="onListDDB($event, 'transporterId')"></dx-list>
                    </div>
                </dx-drop-down-box>
            </div>
        </dx-data-grid>
    </div>

    <div [hidden]="current != 'dz'">
        <dx-data-grid class="gridContainer" #gridReportDZ [dataSource]='dsReportDZ' [columnAutoWidth]='true'
            [allowColumnResizing]='true' [allowColumnReordering]='true'
            [rowAlternationEnabled]='ds.rowAlternationEnabled' [showRowLines]='ds.showRowLines'
            (onToolbarPreparing)='toolbarPreparing($event, "dz")' (onContentReady)="onContentReady($event)">

            <dxo-export [enabled]='true' [fileName]='"Drop_size"'></dxo-export>
            <dxo-filter-row [visible]='true'> </dxo-filter-row>
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-state-storing [enabled]='true' storageKey='griDropSizeWST' type="custom"
                [customLoad]="ds.gridLoadState" [customSave]="ds.gridSaveState"></dxo-state-storing>
            <dxo-remote-operations [filtering]="true" [sorting]="true" [paging]="true"></dxo-remote-operations>

            <dxi-column caption='Depot' dataField='depot' dataType='string'></dxi-column>
            <dxi-column caption='Product' dataField='product' dataType='string'></dxi-column>
            <dxi-column caption='Transporter' dataField='transporter' dataType='string'></dxi-column>
            <dxi-column caption='Ship to party' dataField='shipToParty' dataType='string'></dxi-column>
            <dxi-column caption='Customer Type' dataField='customerCategory' dataType='string'></dxi-column>
            <dxi-column caption='Client' dataField='client' dataType='string'></dxi-column>
            <dxi-column caption='City' dataField='city' dataType='string'></dxi-column>
            <dxi-column caption='Address' dataField='address' dataType='string'></dxi-column>
            <dxi-column caption='Delivered (liters)' dataField='delivered' dataType='number'></dxi-column>
            <dxi-column caption='No. of deliveries' dataField='deliveries' dataType='number'></dxi-column>
            <dxi-column caption='Drop size (liters)' dataField='dropSize' dataType='number'></dxi-column>
            <div *dxTemplate="let data of 'transportTemp'">
                <label>Transporter: </label>
            </div>
            <div *dxTemplate="let data of 'depotTemp'">
                <label>Depot: </label>
            </div>
            <div *dxTemplate="let data of 'fromDate'">
                <label>From date: </label>
            </div>
            <div *dxTemplate="let data of 'thruDate'">
                <label>Thru date: </label>
            </div>
            <div *dxTemplate="let data of 'dropDownDepot'">
                <dx-drop-down-box placeholder="Select a value..." [showClearButton]="true" [dataSource]="dsDepot"
                    [(value)]="tempDDBox" (onValueChanged)="onDDBoxValChanged($event, 'depotId')">
                    <div *dxTemplate="let data of 'content'">
                        <dx-list [dataSource]="dsDepot" dataStructure="plain" selectionMode="multiple"
                            showCheckBoxesMode="normal" (onInitialized)="onInitDxList($event, 'depotId')"
                            (onSelectionChanged)="onListDDB($event, 'depotId')"></dx-list>
                    </div>
                </dx-drop-down-box>
            </div>
            <div *dxTemplate="let data of 'dropDownTrans'">
                <dx-drop-down-box placeholder="Select a value..." [showClearButton]="true" [dataSource]="dsTransporter"
                    [(value)]="tempTTBox" (onValueChanged)="onDDBoxValChanged($event, 'transporterId')">
                    <div *dxTemplate="let data of 'content'">
                        <dx-list [dataSource]="dsTransporter" dataStructure="plain" selectionMode="multiple"
                            showCheckBoxesMode="normal" (onInitialized)="onInitDxList($event, 'transporterId')"
                            (onSelectionChanged)="onListDDB($event, 'transporterId')"></dx-list>
                    </div>
                </dx-drop-down-box>
            </div>
        </dx-data-grid>
    </div>

    <div [hidden]="current != 'ra'">
        <dx-data-grid class="gridContainer" #gridReportRA [dataSource]='dsReportRA' [columnAutoWidth]='true'
            [allowColumnResizing]='true' [allowColumnReordering]='true'
            [rowAlternationEnabled]='ds.rowAlternationEnabled' [showRowLines]='ds.showRowLines'
            (onToolbarPreparing)='toolbarPreparing($event, "ra")' (onContentReady)="onContentReady($event)">

            <dxo-export [enabled]='true' [fileName]='"Rescheduled_orders_analyze"'></dxo-export>
            <dxo-filter-row [visible]='true'> </dxo-filter-row>
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-master-detail [enabled]='true' template='detail'></dxo-master-detail>
            <dxo-state-storing [enabled]='true' storageKey='gridStationWST' type="custom"
                [customLoad]="ds.gridLoadState" [customSave]="ds.gridSaveState"></dxo-state-storing>
            <dxo-remote-operations [filtering]="true" [sorting]="true" [paging]="true"></dxo-remote-operations>

            <dxi-column caption='Customer Type' dataField='customerCategory' dataType='string'></dxi-column>
            <dxi-column caption='Client name' dataField='c_name' dataType='string'></dxi-column>
            <dxi-column caption='ORDERS' dataField='f1' dataType='number'></dxi-column>
            <dxi-column caption='Delivered on time' dataField='f2' dataType='number'></dxi-column>
            <dxi-column caption='Delivered before' dataField='f3' dataType='number'></dxi-column>
            <dxi-column caption='Rescheduled' dataField='f4' dataType='number'></dxi-column>
            <dxi-column caption='Quant less than 3000 liters' dataField='f5' dataType='number'></dxi-column>
            <dxi-column caption='Quant less than 5000 liters' dataField='f6' dataType='number'></dxi-column>
            <dxi-column caption='Received between 16:00-17:00' dataField='f7' dataType='number'></dxi-column>
            <dxi-column caption='Received after 17:00' dataField='f8' dataType='number'></dxi-column>
            <dxi-column caption='Delivered today for today' dataField='f9' dataType='number'></dxi-column>

            <div *dxTemplate="let c of 'detail'">
                <dx-data-grid [columnAutoWidth]='true' [height]='300' [rowAlternationEnabled]='ds.rowAlternationEnabled'
                    [showColumnLines]='ds.showColumnLines' [showRowLines]='ds.showRowLines'
                    (onContentReady)='orderInit($event, c)' (onToolbarPreparing)='toolbarPreparing($event, false)'>

                    <dxo-search-panel [visible]='true'></dxo-search-panel>
                    <dxo-filter-row [visible]='false'> </dxo-filter-row>
                    <dxo-column-chooser [enabled]='true'></dxo-column-chooser>
                    <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
                    <dxo-sorting mode='none'></dxo-sorting>

                    <dxi-column caption='SO Number' dataField='ol_refNumber' dataType='string'
                        [allowHeaderFiltering]='false'></dxi-column>
                    <dxi-column caption='Customer Code' dataField='c_code' dataType='string'></dxi-column>
                    <dxi-column caption='Customer' dataField='c_name' dataType='string' [allowHeaderFiltering]='false'>
                    </dxi-column>
                    <dxi-column caption='Ship to Party' dataField='ca_code' dataType='string'></dxi-column>
                    <dxi-column caption='County' dataField='ca_region' dataType='string'></dxi-column>
                    <dxi-column caption='City' dataField='ca_city' dataType='string'></dxi-column>
                    <dxi-column caption='Requested Date' dataField='ol_requestDate' dataType='date'
                        calculateSortValue='ol_requestDate' [calculateDisplayValue]='ds.getDate'></dxi-column>
                    <dxi-column caption='Old Requested Date' dataField='ol_oldRequestDate'
                        calculateSortValue='ol_oldRequestDate' dataType='date' [calculateDisplayValue]='ds.getDate'>
                    </dxi-column>
                    <dxi-column caption='Delivery Date' dataField='ol_deliveryDate' calculateSortValue='ol_deliveryDate'
                        dataType='date' [calculateDisplayValue]='ds.getDateTime'></dxi-column>
                    <dxi-column caption='Product' dataField='p_name' dataType='string'></dxi-column>
                    <dxi-column caption='Ordered Quantity L15' dataField='ol_quantity' dataType='number'
                        [allowHeaderFiltering]='false'></dxi-column>
                    <dxi-column caption='Address' dataField='ca_description' dataType='string'
                        [allowHeaderFiltering]='false'></dxi-column>
                </dx-data-grid>
            </div>

            <div *dxTemplate="let data of 'transportTemp'">
                <label>Transporter: </label>
            </div>
            <div *dxTemplate="let data of 'depotTemp'">
                <label>Depot: </label>
            </div>
            <div *dxTemplate="let data of 'fromDate'">
                <label>From date: </label>
            </div>
            <div *dxTemplate="let data of 'thruDate'">
                <label>Thru date: </label>
            </div>

            <div *dxTemplate="let data of 'dropDownDepot'">
                <dx-drop-down-box placeholder="Select a value..." [showClearButton]="true" [dataSource]="dsDepot"
                    [(value)]="tempDDBox" (onValueChanged)="onDDBoxValChanged($event, 'depotId')">
                    <div *dxTemplate="let data of 'content'">
                        <dx-list [dataSource]="dsDepot" dataStructure="plain" selectionMode="multiple"
                            showCheckBoxesMode="normal" (onInitialized)="onInitDxList($event, 'depotId')"
                            (onSelectionChanged)="onListDDB($event, 'depotId')"></dx-list>
                    </div>
                </dx-drop-down-box>
            </div>
            <div *dxTemplate="let data of 'dropDownTrans'">
                <dx-drop-down-box placeholder="Select a value..." [showClearButton]="true" [dataSource]="dsTransporter"
                    [(value)]="tempTTBox" (onValueChanged)="onDDBoxValChanged($event, 'transporterId')">
                    <div *dxTemplate="let data of 'content'">
                        <dx-list [dataSource]="dsTransporter" dataStructure="plain" selectionMode="multiple"
                            showCheckBoxesMode="normal" (onInitialized)="onInitDxList($event, 'transporterId')"
                            (onSelectionChanged)="onListDDB($event, 'transporterId')"></dx-list>
                    </div>
                </dx-drop-down-box>
            </div>
            <dxo-summary>
                <dxi-total-item column="customerCategory" summaryType='count' [customizeText]="customTotalTxt">
                </dxi-total-item>
                <dxi-total-item column="f1" summaryType="sum" [customizeText]="customTotalItem"></dxi-total-item>
                <dxi-total-item column="f2" summaryType="sum" [customizeText]="customTotalItem"></dxi-total-item>
                <dxi-total-item column="f3" summaryType="sum" [customizeText]="customTotalItem"></dxi-total-item>
                <dxi-total-item column="f4" summaryType="sum" [customizeText]="customTotalItem"></dxi-total-item>
                <dxi-total-item column="f5" summaryType="sum" [customizeText]="customTotalItem"></dxi-total-item>
                <dxi-total-item column="f6" summaryType="sum" [customizeText]="customTotalItem"></dxi-total-item>
                <dxi-total-item column="f7" summaryType="sum" [customizeText]="customTotalItem"></dxi-total-item>
                <dxi-total-item column="f8" summaryType="sum" [customizeText]="customTotalItem"></dxi-total-item>
                <dxi-total-item column="f9" summaryType="sum" [customizeText]="customTotalItem"></dxi-total-item>
            </dxo-summary>
        </dx-data-grid>
    </div>

    <div [hidden]="current != 'vol'">
        <!-- hidding report is in tabs ds-->
        <dx-data-grid class="gridContainer" #gridReportVOL [dataSource]='dsReportVOL' [columnAutoWidth]='true'
            [allowColumnResizing]='true' [allowColumnReordering]='true'
            [rowAlternationEnabled]='ds.rowAlternationEnabled' [showRowLines]='ds.showRowLines'
            (onToolbarPreparing)='toolbarPreparing($event, "vol")' (onRowPrepared)="onVolRowPrepared($event)"
            (onContentReady)="onContentReady($event)" (onCellClick)='onVolRowClick($event)'>

            <dxo-export [enabled]='true' [fileName]='"Volumes"'></dxo-export>
            <dxo-filter-row [visible]='true'> </dxo-filter-row>
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-state-storing [enabled]='true' storageKey='gridVolumesWST' type="custom"
                [customLoad]="ds.gridLoadState" [customSave]="ds.gridSaveState"></dxo-state-storing>
            <dxo-remote-operations [filtering]="true" [sorting]="true" [paging]="true"></dxo-remote-operations>

            <dxi-column caption='Transport company' dataField='tr_name' dataType='string'></dxi-column>
            <dxi-column caption='Depot' dataField='d_name' dataType='string'></dxi-column>
            <dxi-column caption='Car' dataField='car_registrationNo' dataType='string'></dxi-column>
            <dxi-column caption='Trailer' dataField='tank_registrationNo' dataType='string'></dxi-column>
            <dxi-column caption='Trailer type' dataField='tank_typeId' dataType='number'>
                <dxo-lookup [dataSource]='dsTankType' valueExpr='id' displayExpr='name'></dxo-lookup>
            </dxi-column>
            <dxi-column caption='Driver' dataField='driver' dataType='string'></dxi-column>
            <dxi-column caption='Trip id' dataField='t_refNumber' dataType='number'></dxi-column>
            <dxi-column caption='CC SAP' dataField='ca_costCenter' dataType='string'></dxi-column>
            <dxi-column caption='Customer type' dataField='ol_customerCategory' dataType='string'></dxi-column>
            <dxi-column caption='Sold to party' dataField='c_name' dataType='string'></dxi-column>
            <dxi-column caption='Ship to party' dataField='ca_description' dataType='string'></dxi-column>
            <dxi-column caption='Estimated Trip km' dataField='t_estimatedKm' dataType='number'></dxi-column>
            <dxi-column caption='Estimated km' dataField='ol_estimatedKm' dataType='number'></dxi-column>
            <dxi-column caption='Old Range km' dataField='oldr_value' dataType='string'></dxi-column>
            <dxi-column caption='Range km' dataField='r_value' dataType='string'></dxi-column>
            <dxi-column caption='Tariff' dataField='trc_value' dataType='number'></dxi-column>
            <dxi-column caption='Sales order' dataField='ol_refNumber' dataType='string'></dxi-column>
            <dxi-column caption='Status order' dataField='ol_statusId' dataType='string'>
                <dxo-lookup [dataSource]='dsOrderStatusId' valueExpr='id' displayExpr='name'></dxo-lookup>
            </dxi-column>
            <dxi-column caption='OGSD' dataField='ol_sapRefNumber' dataType='string'></dxi-column>
            <dxi-column caption='Product name' dataField='p_name' dataType='string'></dxi-column>
            <dxi-column caption='Quantity Shipped' dataField='ol_quantity' dataType='number'></dxi-column>
            <dxi-column caption='SAP Quantity Loaded' dataField='ol_loadedQuantity' dataType='number'></dxi-column>
            <dxi-column caption='Tones' dataField='tones' dataType='number'></dxi-column>
            <dxi-column caption='Quantity Loaded' dataField='ol_loadedQuantity' dataType='number'></dxi-column>
            <dxi-column caption='Quantity delivered' dataField='ol_deliveredQuantity' dataType='number'></dxi-column>
            <dxi-column caption='Transport cost' dataField='transpCost' dataType='number'></dxi-column>
            <dxi-column caption='Loading Date' dataField='ol_loadingDate' dataType='date'
                calculateSortValue='ol_loadingDate' [calculateDisplayValue]='ds.getDate'></dxi-column>
            <!-- <dxi-column caption='SAP Loading Date' dataField='t_loadingDate' dataType='date'></dxi-column> -->
            <dxi-column caption='Status Cursa' dataField='t_statusId' dataType='number'>
                <dxo-lookup [dataSource]='dsStatusId' valueExpr='id' displayExpr='name'></dxo-lookup>
            </dxi-column>
            <dxi-column caption='Sold to party' dataField='c_code' dataType='string'></dxi-column>
            <dxi-column caption='Ship to party' dataField='ca_code' dataType='string'></dxi-column>
            <dxi-column caption='Region' dataField='ca_region' dataType='string'></dxi-column>
            <dxi-column caption='Truck max capacity' dataField='tank_capacity' dataType='number'></dxi-column>
            <dxi-column caption='Comments' dataField='cm_description' dataType='string'></dxi-column>
            <div *dxTemplate="let data of 'fromDate'">
                <label>From date: </label>
            </div>
            <div *dxTemplate="let data of 'thruDate'">
                <label>Thru date: </label>
            </div>
        </dx-data-grid>
    </div>

    <div [hidden]="current != 'lo'">
        <dx-data-grid class="gridContainer" #gridReportLO [dataSource]='dsReportLO' [columnAutoWidth]='true'
            [allowColumnResizing]='true' [allowColumnReordering]='true'
            [rowAlternationEnabled]='ds.rowAlternationEnabled' [showRowLines]='ds.showRowLines'
            (onToolbarPreparing)='toolbarPreparing($event, "lo")' (onContentReady)="onContentReady($event)">

            <dxo-export [enabled]='true' fileName='Looses'></dxo-export>
            <dxo-filter-row [visible]='true'> </dxo-filter-row>
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-state-storing [enabled]='true' storageKey='gridLoosesWST' type="custom" [customLoad]="ds.gridLoadState"
                [customSave]="ds.gridSaveState"></dxo-state-storing>
            <dxo-remote-operations [filtering]="true" [sorting]="true" [paging]="true"></dxo-remote-operations>

            <dxi-column caption='Loading Date' dataField='t_plannedDate' calculateSortValue='t_plannedDate'
                dataType='date' [calculateDisplayValue]='ds.getDate'></dxi-column>
            <dxi-column caption='Depot' dataField='d_name' dataType='string'></dxi-column>
            <dxi-column caption='Trip id' dataField='t_refNumber' dataType='number'></dxi-column>
            <dxi-column caption='Transport company' dataField='tr_name' dataType='string'></dxi-column>
            <dxi-column caption='Driver name' dataField='driver' dataType='string'></dxi-column>
            <dxi-column caption='Car' dataField='car_registrationNo' dataType='string'></dxi-column>
            <dxi-column caption='Trailer' dataField='tank_registrationNo' dataType='string'></dxi-column>
            <dxi-column caption='Trailer type' dataField='tankType' dataType='string'></dxi-column>
            <dxi-column caption='Max percent' dataField='maxPercent' dataType='number'>
                <dxo-format type='percent' precision='2'></dxo-format>
            </dxi-column>
            <dxi-column caption='No of deliveries' dataField='deliveriesNo' dataType='number'></dxi-column>
            <dxi-column caption='Total loading dipstick (L15)' dataField='totalDp' dataType='number'></dxi-column>
            <dxi-column caption='Total loading flowmeter (L15)' dataField='totalFm' dataType='number'></dxi-column>
            <dxi-column caption='Total deliveries (L15)' dataField='totalDeliveries' dataType='number'></dxi-column>
            <dxi-column caption='Difference between Shiped QTY and Loaded QTY' dataField='diffShipLoad'
                dataType='number'></dxi-column>
            <dxi-column caption='Difference percent' dataField='diffPercent' dataType='number'>
                <dxo-format type='percent' precision='2'></dxo-format>
            </dxi-column>
            <dxi-column caption='Quantities invoiced' dataField='invoiced' dataType='number'></dxi-column>
            <dxi-column caption='SAP Quantity loaded' dataField='sapLoad' dataType='number'></dxi-column>
            <div *dxTemplate="let data of 'fromDate'">
                <label>From date: </label>
            </div>
            <div *dxTemplate="let data of 'thruDate'">
                <label>Thru date: </label>
            </div>
        </dx-data-grid>
    </div>

    <div [hidden]="current != 'rt'">
        <dx-data-grid class="gridContainer" #gridReportRT [dataSource]='dsReportRT' [columnAutoWidth]='true'
            [allowColumnResizing]='true' [allowColumnReordering]='true'
            [rowAlternationEnabled]='ds.rowAlternationEnabled' [showRowLines]='ds.showRowLines'
            (onToolbarPreparing)='toolbarPreparing($event, "rt")' (onContentReady)="onContentReady($event)">

            <dxo-export [enabled]='true' fileName='Rejected_trips'></dxo-export>
            <dxo-filter-row [visible]='true'> </dxo-filter-row>
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-state-storing [enabled]='true' storageKey='gridRejTripWST' type="custom"
                [customLoad]="ds.gridLoadState" [customSave]="ds.gridSaveState"></dxo-state-storing>

            <dxi-column caption='Transport company' dataField='transporter' dataType='string'></dxi-column>
            <dxi-column caption='Depot' dataField='depot' dataType='string'></dxi-column>
            <dxi-column caption='Trip status' dataField='type' dataType='string'></dxi-column>
            <dxi-column caption='User' dataField='userName' dataType='string'></dxi-column>
            <dxi-column caption='Count canceled/rejected trips' dataField='f1' dataType='number'></dxi-column>

            <div *dxTemplate="let data of 'fromDate'">
                <label>From date: </label>
            </div>
            <div *dxTemplate="let data of 'thruDate'">
                <label>Thru date: </label>
            </div>
        </dx-data-grid>
    </div>

    <div [hidden]="current != 'cc'">
        <dx-data-grid class="gridContainer" #gridReportCC [dataSource]='dsReportCC' [columnAutoWidth]='true'
            [allowColumnResizing]='true' [allowColumnReordering]='true'
            [rowAlternationEnabled]='ds.rowAlternationEnabled' [showRowLines]='ds.showRowLines'
            (onToolbarPreparing)='toolbarPreparing($event, "cc")' (onContentReady)="onContentReady($event)">

            <dxo-export [enabled]='true' [fileName]='"Cost_center"'></dxo-export>
            <dxo-filter-row [visible]='true'> </dxo-filter-row>
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-state-storing [enabled]='true' storageKey='gridCostCenterWST' type="custom"
                [customLoad]="ds.gridLoadState" [customSave]="ds.gridSaveState"></dxo-state-storing>
            <dxo-remote-operations [filtering]="true" [sorting]="true" [paging]="true"></dxo-remote-operations>

            <dxi-column caption='Client' dataField='c_name' dataType='string'></dxi-column>
            <dxi-column caption='Customer type' dataField='customerType' dataType='string'></dxi-column>
            <dxi-column caption='Client location' dataField='c_address' dataType='string'></dxi-column>
            <dxi-column caption='Cost center' dataField='ca_costCenter' dataType='string'></dxi-column>
        </dx-data-grid>
    </div>

    <div [hidden]="current != 'ac'">
        <dx-data-grid class="gridContainer" #gridReportAC [dataSource]='dsReportAC' [columnAutoWidth]='true'
            [allowColumnResizing]='true' [allowColumnReordering]='true'
            [rowAlternationEnabled]='ds.rowAlternationEnabled' [showRowLines]='ds.showRowLines'
            (onToolbarPreparing)='toolbarPreparing($event, "ac")' (onContentReady)="onContentReady($event)">

            <dxo-export [enabled]='true' [fileName]='"Active_clients"'></dxo-export>
            <dxo-filter-row [visible]='true'> </dxo-filter-row>
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-state-storing [enabled]='true' storageKey="gridActiveClientsWST" type="custom"
                [customLoad]="ds.gridLoadState" [customSave]="ds.gridSaveState"></dxo-state-storing>
            <dxo-remote-operations [filtering]="true" [sorting]="true" [paging]="true"></dxo-remote-operations>

            <dxi-column caption='Transporter' dataField='transporter' dataType='string' [groupIndex]='0'></dxi-column>
            <dxi-column caption='Depot' dataField='depot' dataType='string' [groupIndex]='1'></dxi-column>
            <dxi-column caption='Ship to party' dataField='shipToParty' dataType='string'></dxi-column>
            <dxi-column caption='Client' dataField='client' dataType='string'></dxi-column>
            <dxi-column caption='City' dataField='city' dataType='string'></dxi-column>
            <dxi-column caption='County' dataField='region' dataType='string'></dxi-column>
            <dxi-column caption='Address' dataField='address' dataType='string'></dxi-column>

            <dxo-summary>
                <dxi-group-item column="shipToParty" summaryType='count' [displayFormat]="customClients">
                </dxi-group-item>
            </dxo-summary>

            <div *dxTemplate="let data of 'fromDate'">
                <label>From date: </label>
            </div>
            <div *dxTemplate="let data of 'thruDate'">
                <label>Thru date: </label>
            </div>
        </dx-data-grid>
    </div>


    <div [hidden]="current != 'tr'">
        <dx-data-grid class="gridContainer" #gridReportTR [dataSource]='dsReportTR' [columnAutoWidth]='true'
            [allowColumnResizing]='true' [allowColumnReordering]='true'
            [rowAlternationEnabled]='ds.rowAlternationEnabled' [showRowLines]='ds.showRowLines'
            (onToolbarPreparing)='toolbarPreparing($event, "tr")' (onContentReady)="onContentReady($event)">

            <dxo-export [enabled]='true' [fileName]='"Transfer"'></dxo-export>
            <dxo-filter-row [visible]='true'> </dxo-filter-row>
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-state-storing [enabled]='true' storageKey='gridTransferWST' type="custom"
                [customLoad]="ds.gridLoadState" [customSave]="ds.gridSaveState"></dxo-state-storing>
            <dxo-remote-operations [filtering]="true" [sorting]="true" [paging]="true"></dxo-remote-operations>

            <dxi-column caption="Trip no." dataField="t_refNumber" dataType="number"></dxi-column>
            <dxi-column caption="From order" dataField="fo_refNumber" dataType="number"></dxi-column>
            <dxi-column caption="To Order" dataField="to_refNumber" dataType="number"></dxi-column>
            <dxi-column caption="Is Approved" dataField="tt_isApproved" dataType="boolean"></dxi-column>
            <dxi-column caption="Comments" dataField="to_comments" dataType="string"></dxi-column>
            <dxi-column caption="Approved date" dataField="tt_approvedDate" dataType="date"
                calculateSortValue='tt_approvedDate' [calculateDisplayValue]='ds.getDate'></dxi-column>
            <dxi-column caption="Quantity" dataField="tt_quantity" dataType="number"></dxi-column>
            <dxi-column caption="Approved by" dataField="tt_approvedBy" dataType="string"></dxi-column>
            <dxi-column caption="Transfer date" dataField="tt_transferDate" dataType="date"
                calculateSortValue='tt_transferDate' [calculateDisplayValue]='ds.getDate'></dxi-column>
            <dxi-column caption="Created by" dataField="tt_createdBy" dataType="string"></dxi-column>
            <dxi-column caption="Product" dataField="p_name" dataType="string"></dxi-column>
            <dxi-column caption="From Ship to Party" dataField="fost_name" dataType="string"></dxi-column>
            <dxi-column caption="Address" dataField="foca_description" dataType="string"></dxi-column>
            <dxi-column caption="To Ship to Party" dataField="tost_name" dataType="string"></dxi-column>
            <dxi-column caption="Address" dataField="toca_description" dataType="string"></dxi-column>
            <dxi-column caption="Truck" dataField="car_registrationNo" dataType="string"></dxi-column>
            <dxi-column caption="Transporter" dataField="tr_name" dataType="string"></dxi-column>

            <div *dxTemplate="let data of 'fromDate'">
                <label>From date: </label>
            </div>
            <div *dxTemplate="let data of 'thruDate'">
                <label>Thru date: </label>
            </div>
            <div *dxTemplate="let data of 'transportTemp'">
                <label>Transporter: </label>
            </div>
            <div *dxTemplate="let data of 'dropDownTrans'">
                <dx-drop-down-box placeholder="Select a value..." [showClearButton]="true" [dataSource]="dsTransporter"
                    [(value)]="tempTTBox" (onValueChanged)="onDDBoxValChanged($event, 'transporterId')">
                    <div *dxTemplate="let data of 'content'">
                        <dx-list [dataSource]="dsTransporter" dataStructure="plain" selectionMode="multiple"
                            showCheckBoxesMode="normal" (onInitialized)="onInitDxList($event, 'transporterId')"
                            (onSelectionChanged)="onListDDB($event, 'transporterId')"></dx-list>
                    </div>
                </dx-drop-down-box>
            </div>
        </dx-data-grid>
    </div>

    <div [hidden]="current != 'tax'">
        <dx-data-grid class="gridContainer" #gridTax [dataSource]="dsTaxes" [columnAutoWidth]='true' height='350px'
            [rowAlternationEnabled]='ds.rowAlternationEnabled' [showRowLines]='ds.showRowLines'
            [showColumnLines]='ds.showColumnLines' (onContentReady)="onContentReady($event)">
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-editing [allowAdding]='true' [allowUpdating]='true' [allowDeleting]='true' mode='form'
                [useIcons]='true'></dxo-editing>
            <dxo-export [enabled]='true' fileName='Taxe'></dxo-export>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-group-panel [visible]='true' [allowColumnDragging]='false'></dxo-group-panel>

            <dxi-column caption='Month/Year' dataField='monthYear' dataType='date' calculateSortValue='monthYear'
                [calculateDisplayValue]='ds.getDateMonth' editCellTemplate="monthYearTemplate">
                <div *dxTemplate="let d of 'monthYearTemplate'">
                    <dx-date-box [(value)]="d.data.monthYear" maxZoomLevel='year' minZoomLevel='decade'
                        [displayFormat]='displayMonth'></dx-date-box>
                </div>
            </dxi-column>
            <dxi-column caption='Transport company' dataField='transporterId' dataType='string'>
                <dxi-validation-rule type="required"></dxi-validation-rule>
                <dxo-lookup [dataSource]="dsTransData" valueExpr='id' displayExpr='name'></dxo-lookup>
            </dxi-column>
            <dxi-column caption='Cost center' dataField='costCenter' dataType='string'>
                <dxo-lookup [dataSource]="dsCostCenter" valueExpr='ca_costCenter' displayExpr='ca_costCenter'>
                </dxo-lookup>
            </dxi-column>
            <dxi-column caption='Denumire TAXE' dataField='taxDescription' dataType='string'>
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-column>
            <dxi-column caption='Amount [RON]' dataField="amount" dataType="number">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-column>
            <dxi-column caption='Exchange Rate EoM' dataField='exchangeRate' dataType='number'>
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-column>
            <dxi-column caption='Amount [EUR]' dataType="number" [calculateDisplayValue]='calculateAmountEUR'
                [allowEditing]='false'></dxi-column>
        </dx-data-grid>
    </div>

    <div [hidden]="current != 'eta'">
        <dx-data-grid class="gridContainer" #gridEta [dataSource]="dsEta" [columnAutoWidth]='true' height='350px'
            [rowAlternationEnabled]='ds.rowAlternationEnabled' [showRowLines]='ds.showRowLines'
            [showColumnLines]='ds.showColumnLines' (onContentReady)="onContentReady($event)"
            (onToolbarPreparing)='toolbarPreparing($event, "eta")'>

            <dxo-filter-row [visible]='true'> </dxo-filter-row>
            <dxo-header-filter [visible]='true'></dxo-header-filter>
            <dxo-export [enabled]='true' fileName='Taxe'></dxo-export>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>
            <dxo-group-panel [visible]='true' [allowColumnDragging]='false'></dxo-group-panel>

            <dxi-column caption='Transportator' dataField='tr_name' dataType='string'></dxi-column>
            <dxi-column caption='Auto' dataField='car_registrationNo' dataType='string'></dxi-column>
            <dxi-column caption='Tractor' dataField='tank_registrationNo' dataType='string'></dxi-column>
            <dxi-column caption='Depot' dataField='d_name' dataType='string'></dxi-column>
            <dxi-column caption='Driver Name' dataField='driver' dataType='string'></dxi-column>
            <dxi-column caption='Range [km]' dataField='r_value' dataType='string'></dxi-column>
            <dxi-column caption='Loading Date' dataField='t_plannedDate' dataType='datetime'
                calculateSortValue='t_plannedDate' [calculateDisplayValue]='ds.getDateTime'  width='200'></dxi-column>
            <dxi-column caption='ETA' dataField='ol_scheduledDate' dataType='datetime'
                calculateSortValue='ol_scheduledDate' [calculateDisplayValue]='ds.getDateTime' width='200'></dxi-column>
            <dxi-column caption='SO Number' dataField='ol_refNumber' dataType='string'></dxi-column>
            <dxi-column caption='Trip ID' dataField='t_refNumber' dataType='string'></dxi-column>
            <dxi-column caption='Incarcare' dataField='d_name' dataType='string'></dxi-column>
            <dxi-column caption='Zona' dataField='d_code' dataType='string'></dxi-column>
            <dxi-column caption='Destinatie' dataField='c_name' dataType='string'></dxi-column>
            <dxi-column caption='Adresa' dataField='ca_description' dataType='string'></dxi-column>
            <dxi-column caption='Ship to party' dataField='ca_code' dataType='string'></dxi-column>

            <div *dxTemplate="let data of 'transportTemp'">
                <label>Transporter: </label>
            </div>
            <div *dxTemplate="let data of 'depotTemp'">
                <label>Depot: </label>
            </div>
            <div *dxTemplate="let data of 'fromDate'">
                <label>From date: </label>
            </div>
            <div *dxTemplate="let data of 'thruDate'">
                <label>Thru date: </label>
            </div>

            <div *dxTemplate="let data of 'dropDownDepot'">
                <dx-drop-down-box placeholder="Select a value..." [showClearButton]="true" [dataSource]="dsDepot"
                    [(value)]="tempDDBox" (onValueChanged)="onDDBoxValChanged($event, 'depotId')">
                    <div *dxTemplate="let data of 'content'">
                        <dx-list [dataSource]="dsDepot" dataStructure="plain" selectionMode="multiple"
                            showCheckBoxesMode="normal" (onInitialized)="onInitDxList($event, 'depotId')"
                            (onSelectionChanged)="onListDDB($event, 'depotId')"></dx-list>
                    </div>
                </dx-drop-down-box>
            </div>
            <div *dxTemplate="let data of 'dropDownTrans'">
                <dx-drop-down-box placeholder="Select a value..." [showClearButton]="true" [dataSource]="dsTransporter"
                    [(value)]="tempTTBox" (onValueChanged)="onDDBoxValChanged($event, 'transporterId')">
                    <div *dxTemplate="let data of 'content'">
                        <dx-list [dataSource]="dsTransporter" dataStructure="plain" selectionMode="multiple"
                            showCheckBoxesMode="normal" (onInitialized)="onInitDxList($event, 'transporterId')"
                            (onSelectionChanged)="onListDDB($event, 'transporterId')"></dx-list>
                    </div>
                </dx-drop-down-box>
            </div>

        </dx-data-grid>
    </div>

</div>

<dx-popup [(visible)]='isRangePopupVisible' [closeOnOutsideClick]='true' height='auto' width='auto'>
    <div *dxTemplate="let data of 'title'">
        <div class="logo-small" style="float:left">
            <img src="assets/img/Logo1.png" class="logoPopup" />
            <h4 class="titlePopup">SO: {{currentOrderVol.ol_refNumber}}</h4>
        </div>
    </div>
    <div *dxTemplate="let data of 'content'">
        <div style='margin-bottom: 10px'>
            <label>Old Range Km: {{currentOrderVol.r_value}}</label>
        </div>
        <div>
            <label>New Range Km</label>
            <dx-select-box width='200' [dataSource]='dsRange' valueExpr='id' displayExpr='value' [(value)]="newRangeId"
                [searchEnabled]='true'></dx-select-box>
        </div>
        <dx-button style='float:right;margin: 10px 15px;' text='Cancel' (onClick)='isRangePopupVisible = false'>
        </dx-button>
        <dx-button style='float:right;margin: 10px 15px;' type='success' text='Save'
            (onClick)='onSaveNewRangeId($event, newRangeId)'></dx-button>
    </div>
</dx-popup>

<dx-popup [(visible)]='isCommentVisible' [closeOnOutsideClick]='true' height='auto' width='auto'>
    <div *dxTemplate="let data of 'title'">
        <div class="logo-small" style="float:left">
            <img src="assets/img/Logo1.png" class="logoPopup" />
            <h4 class="titlePopup">SO: {{currentOrderVol.ol_refNumber}}</h4>
        </div>
    </div>
    <div *dxTemplate="let data of 'content'">
        <div style='margin-bottom: 10px'>
            <label>Trip: {{currentOrderVol.t_refNumber}} - Order: {{currentOrderVol.ol_refNumber}} - Q:
                {{currentOrderVol.ol_quantity}}</label>
        </div>
        <div>
            <label>Comment:</label>
            <dx-text-area [(value)]='currentOrderVol.cm_description'></dx-text-area>
        </div>
        <dx-button style='float:right;margin: 10px 15px;' text='Cancel' (onClick)='isCommentVisible = false'>
        </dx-button>
        <dx-button style='float:right;margin: 10px 15px;' type='success' text='Save' (onClick)='onSaveCommonet($event)'>
        </dx-button>
    </div>
</dx-popup>